<p>Die Benutzerverwaltung ist in dieser Version nur sehr rudimentär entwickelt und
eignet sich nicht für den Einsatz in einer größeren produktiven Umgebung. 
Idealerweise sollte der WS-Reporter an die Benutzerverwaltung des Unternehmens
gekoppelt sein, und die Rechte für Benutzergruppen vergeben werden.</p>
<p>Mit der hier implementierten Benutzer- und Rechte-Verwaltung soll vor allem 
gezeigt werden,</p> 
<ul>
<li> dass mit der Berechtigung für Datenquellen und verknüpfte Datenquellen
ein sicheres und effizientes Konzept existiert, und</li>
<li> dass mit zusätzlichen Einschränkungen auf Ausschnitte über automatisch 
hinzugefügte Where-Klauseln Redundanzen bei der Erstellung von Views (und Datenquellen) 
vermieden werden können.</li> 
</ul>
<h4>Benutzer anlegen</h4>
<p>Benutzer werden in der Box "Benutzer anlegen" eingetragen. Benutzer und Passwort werden
zur Anmeldung verwendet. Der Lang-Name dient der Anzeige. Mit der Check-Box "Admin.-Rechte"
wird der Benutzer als System-Administrator angelegt. Nur ein System-Administrator kann:</p> 
<ul>
<li> Datenquellen anlegen und ändern</li>
<li> Benutzer anlegen und Rechte vergeben</li> 
</ul>
<p>Ein End-User hat keinen Zugriff auf den Report-Editor und kann nur existierende Reports
aufrufen, Spalten verschieben und ggf. Filter mit dem Attribut "Selector im Output" setzen und ändern.</p>
<img src='anleitung/BenutzerAnlegen.png' />
<p>Wenn ein existierender Benutzer eingegeben wird, können das Passwort und die anderen
Attribute geändert werden.</p> 
<h4>Rechte vergeben</h4>
<p>Aus der Benutzer-Liste wird über die Schaltfläche "zuordnen" die Rechtevergabe für 
diesen Benutzer aufgerufen:</p> 
<img src='anleitung/BenutzerListe.png' />
<p>Für die Start-Seite kann ein Report-Titel angegeben werden. Weiterhin können bis zu zwei globale Filter
gesetzt werden, die in allen Datenquellen zwingend angewandt werden, wenn dort diese Filter bekannt sind.</p>
<img src='anleitung/BenutzerGlobal.png' />   
<p>In der Rechte-Vergabe werden alle Datenquellen aufgelistet. Folgende Rechte können bearbeitet werden</p>
<ul>
<li> Lesen: Der Benutzer kann Reports auf der Basis dieser Quelle aufrufen und selbst erstellen.
Der Benutzer kann auch selbst erstellte Reports exportieren und von einem Administrator dann importieren und speichern lassen.<br> 
Dieses Rechte umfasst auch das Lese-Recht bei der Verknüpfung von Datenquellen. D.h. der Benutzer
kann auf die Daten in verknüpften Datenquellen auch dann zugreifen, wenn er für diese Datenquellen 
selbst nicht berechtigt ist.<br> 
<b>Achtung:</b> Das wäre z.B. sinnvoll, wenn die führende Datenquelle nur größere Einheiten enthält, im Report aber
auch statistische Daten auf der Basis der Kunden (Mittelwerte, Anzahl, Minimum, Maximum) angezeigt 
werden sollen. Aktuell bekommt der Benutzer über die Verknüpfungsart "Spalten" dann aber auch Zugriff
auf Ebenen, die er nicht sehen soll. Das wird in einer späteren Version korrigiert.</li>
<li> Admin.: Der Benutzer kann Reports auf der Basis dieser Datenquelle speichern, exportieren und importieren.</li> 
<li> Filer: Zu jeder Datenquelle können zusätzlich zu den globalen Filter bis zu zwei witere Filter definiert werden.</li>  
</ul> 
<img src='anleitung/BenutzerRechte.png' />
<p>Die Berechtigung für Dimensionen ist in der Regel nicht erforderlich, weil Dimensionen nicht
direkt abgefragt, sondern nur in der Verknüpfung mit Basisquellen verwendet werden. </p>
<h4>Hilfen</h4>
<p>Während bei den blau unterlegten Fragezeichen hinter den Überschriften, nur Hilfstexte hinterlegt sind, 
haben die Fragezeichen hinter den Filter-Zeilen eine informative Funktion:
<ul>
<li> Bei den globalen Filter führt ein Klick auf das Fragezeichen zur Auflistung der Datenquellen, 
in denen dieser Filter wirkt.</li>
<li> Bei den Datenquellen führt ein Klick auf das Fragezeichen hinter einer leeren Filterzeile zur 
Auflistung der Filter dieser Datenquelle.</li>
<li> Wenn in der Zeile ein Filter angegeben ist, führt der Klick auf das Fragezeichen zur Aulistung
der verknüpfbaren Datenquellen und der Spezifikation dieses Filters in diesen Quellen.</li>
</ul>
<p>Damit soll zumindest rudimentär eine Qualitätskontrolle der Berechtigungen gewährleistet werden.</p>