<?php 
/**
 * Projekt: WS-Reporter
 *          Verknüpfen von Dimensionen bei der Spezifikation der Datenquellen
 *
 * Autor:    Wilfried Schollenberger
 *           WS Unternehmensberatung und Controlling-Systeme GmbH
 * Kontakt:  wisch@ws-unternehmensberatung.de
 * Lizenz:   GPL 3.0
 *
 * Stand:    29.11.2021
 *
 */
require_once './includes/wsrTranslate.inc';
global $query;
?>
<table>
<tr><td><?=WSRTranslate::translateH('Name')?></td>
<td class = "center">Key</td><td class = "center"><?=WSRTranslate::translateH('Verknüpfung')?></td>
    <td>&nbsp;</td>
<td><?=WSRTranslate::translate('löschen')?></td></tr>
<?php
foreach ($query->dimensions as $i => $dimension){
    
?>

<tr><th class="left" onclick="showDimensionVars(<?=$i ?>)"
  <?=makeTitle(WSRTranslate::translate('Dimension')) ?>><?=$dimension->dimNr?>: <?=$dimension->dimName ?></th>
<td><?=$dimension->dimKey?></td>
<?php 
if ($dimension->dimType == 0){
?>
    <td><button onclick='initDimension(<?=$i ?>,"Standard")'><?=WSRTranslate::translate('Standard')?></button>
    <button onclick='initDimension(<?=$i ?>,"Erweitert")'><?=WSRTranslate::translate('erweitert')?></button>
    </td>
<?php 
}else if ($dimension->dimType == Dimension::SIMPLEDIM){
?>
<td><?=WSRTranslate::translateH('Standard-Verknüpfung')?></td>
<?php 
}else if ($dimension->baseKey == null){
    ?>
<td>
<select onchange='initDimensionKey(<?=$i ?>,this.value)'>
<option value=''>---</option>
<?php for ($iv = 0; $iv < count($query->rowVars);$iv++) {?>
<option value='<?=$query->rowVars[$iv] ?>'><?=$query->rowVars[$iv] ?></option>
<?php }?>
</select>
   </td>
<?php 
}else{
    ?>
<td><?=$dimension->baseKey?></td>
<?php 
}
if ($dimension->baseKey != null){
    ?>
    <td><button onclick='showDimensionVars(<?=$i ?>)'><?=WSRTranslate::translate('hinzufügen')?></button></td>
<?php
}else{
    ?>
    <td>&nbsp;</td>
<?php
}
?>
<td onclick="delVar(5,<?=$i ?>)" class="center"><?=iconDelete() ?></td>
</tr>
<?php
}
?>
<tr><th class="left"><?=WSRTranslate::translateH('Neue Dimension')?></th>
<td title="<?=WSRTranslate::translate('Auswahlliste bei Muster mit ?')?>"
><?=WSRTranslate::translateH('hier eintragen')?> <input type="text" onchange="newVar(5,this)" id="NV5" size="30" autocomplete="off"/>
</td><td></td><td></td></tr>

</table>
<?php
if ($query->showMuster == 5){
    $liste = $query->listMuster();
    echo WSRTranslate::translate('Muster (ggf. anklicken)').':<br><table>';
    foreach ($liste as $name => $label){
        ?>
<tr <?=makeTitle($label[1])?>><th class="left" onclick="newMusterVar(5,'<?=$name ?>')"><?=$name ?></th>
<td onclick="newMusterVar(5,'<?=$name ?>')"><?=$label[0] ?></td></tr>
    <?php
	 }
	 ?>
	 <tr><th></th>
	 <th onclick="closeMuster(5)" ><?=WSRTranslate::translate('schließen')?></th></tr>
	 </table>	 
<?php
 }	 
?>
