<?php
/**
 * Projekt: WS-Reporter
 *          Anzeige der verknüpften Werte bei der Spezifikation der Datenquellen
 *
 * Autor:    Wilfried Schollenberger
 *           WS Unternehmensberatung und Controlling-Systeme GmbH
 * Kontakt:  wisch@ws-unternehmensberatung.de
 * Lizenz:   GPL 3.0
 *
 * Stand:    22.02.2023 MS
 *
 */
$p = $query->qEditSubject;
if ($p < 100){
    echo 'FEHLER EditSubject = '.$p;
    return;
}
$query = $query->addQueries->getPos($p-100)->getQuery();
$vv =  $query->valueVars;
?>
<table>
<tr><td><?=WSRTranslate::translateH('Name')?></td><td class = "center"><?=WSRTranslate::translateH('Label')?></td>

<?php
for ($i = 0; $i < count($vv); $i++){
    $v = $vv[$i];
    $mr = $query->metaData[$v];
?>
<tr><th class="left" <?=makeTitle($mr->description) ?> 
 ><?=$v ?></th>
<td  <?=makeTitle($mr->description) ?>><?=quoteForHTML( $mr->label) ?></td>
</tr>
<?php
} 
?>

</table>
 