<?php
/**
 * Projekt: WS-Reporter
 *          Einlesen der Übersetzungen zum WS-Reporter
 *
 * Autor:    Wilfried Schollenberger
 *           WS Unternehmensberatung und Controlling-Systeme GmbH
 * Kontakt:  wisch@ws-unternehmensberatung.de
 * Lizenz:   GPL 3.0
 *
 * Stand:    19.9.2022
 *
 * Dieser Aufruf liest die Übersetzungen aus wsrTranslations nach einem
 * Update neu in die Datenbank ein.
 *
 */
require_once './includes/funktionen.inc';
require_once './phpsec/createDBH.inc';
anmeldungPruefen();
adminRechteVerlangen();
global $dbh;
$filename = './phpsec/wsrTranslations.sql';
$handle = fopen($filename, 'r');
$sql = fread($handle, filesize($filename));
fclose($handle);
if ($dbh->exec($sql) !== false){
   echo "<br>Tabelle wsrTranslations wurde geladen.";
}else {
    echo "<br>Fehler bei beim Laden der Tabelle wsrTranslations:<br>";
   echo $dbh->errorInfo()[2];
}
